=== debian/changelog ===
libdrumstick (1.1.3-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 18 Jan 2021 23:26:13 -0500

libdrumstick (1.1.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Add libfluidsynth-dev to B-D.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 05 Sep 2019 21:14:40 +0200

libdrumstick (1.1.2-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * debian/copyright: Add missing copyright holders. (Closes: #935387)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 22 Aug 2019 18:19:32 +0200

libdrumstick (1.1.2-1) experimental; urgency=medium

  * Team upload.

  [ Ross Gammon ]
  * New upstream release
  * Drop gcc6 patch, included in this upstream version
  * Refresh desktop patch, and drop parts applied upstream
  * Update copyright file and add myself
  * Desktop patch forwarded upstream
  * Desktop patch applied upstream

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * d/watch: Use https protocol
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * debian/: Split shared library package to match SONAMEs and add package for
    realtime I/O backends.
  * debian/rules:
    - Use architecture.mk.
    - Remove obsolete dh_strip override.
    - Skip tests if /dev/snd/seq is not available.
  * debian/control:
    - Bump debhelper compat to 12.
    - Bump Standards-Version.
    - Add libpulse-dev to B-D (for eassynth).
  * debian/: Remove obsolete *.dirs.
  * debian/copyright: Update copyright years.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 18 Aug 2019 23:35:25 +0200
