=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

LDFLAGS+=-Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@ -S cmake

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH)

override_dh_auto_test:
	if -f /dev/snd/deq ; then dh_auto_test ; fi
