## libdrumstick 2.3.1

=== debian/changelog ===
libdrumstick (2.3.1-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 04 Oct 2021 23:53:38 -0400

libdrumstick (2.3.1-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream version 2.3.1
  * Bump Standards-Version to 4.6.0
  * Add libdrumstick-rt-backends to libdrumstick-dev Depends for cmake files

 -- Dennis Braun <d_braun@kabelmail.de>  Tue, 07 Sep 2021 22:03:03 +0200

libdrumstick (2.0.0-1) experimental; urgency=medium

  [ Olivier Humbert ]
  * Update copyright (http->https)
  * Update control (update re: provided binaries)
  * Update control (definition)

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1

  [ Dennis Braun ]
  * New upstream version 2.0.0
  * Update d/watch version to 4
  * Add me as uploader
  * Bump dh-compat to 13
  * Bump S-V to 4.5.1
  * Set RRR: no
  * Update B-Ds: Add doxygen, graphviz and qttools5-dev
  * Bump ABI version to libdrumstick-*2
  * d/copyright: Change main license to GPLv3, bump copyright year
  * Remove unnecessary d/docs file
  * Add drumstick-data, libdrumstick-plugins and libdrumstick-widgets2 packages
  * Update the install packages
  * Remove unnecessary build flags from d/rules

  [ Sebastian Ramacher ]
  * debian/control:
    - Remove ${shlibs:Depends} from libdrumstick-dev
    - Add ${shlib:Depends} to drumstick-tools

 -- Dennis Braun <d_braun@kabelmail.de>  Tue, 12 Jan 2021 21:42:42 +0100
