=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,10 @@
 
 include /usr/share/dpkg/architecture.mk
 
-LDFLAGS+=-Wl,--as-needed
 export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
 
 %:
-	dh $@ -S cmake
+	dh $@ -Scmake
 
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym
